/*
 * Name:    mxAppInit.h
 *
 * Purpose: This file is a kludge that declares prototypes for some
 *          internal Tcl and [incr Tcl] functions used by mxAppInit.c.
 *          Since internal functions are used, there is some possibility
 *          that there will be some version dependency for these 
 *          prototypes or even for the existence of the functions.
 *          With that in mind, it should be stated that this header file
 *          was constructed to work with Tcl/Tk 8.0.3 and [incr Tcl] 3.0.1.
 *
 * Author:  William Lavender
 *
 *--------------------------------------------------------------------------
 *
 * Copyright 1999-2000 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MXAPPINIT_H__
#define __MXAPPINIT_H__

EXTERN Tcl_Namespace * Tcl_GetGlobalNamespace _ANSI_ARGS_((
				Tcl_Interp *interp));

EXTERN int Tcl_Import _ANSI_ARGS_((Tcl_Interp *interp, Tcl_Namespace *nsPtr,
				char *pattern, int allowOverwrite));

EXTERN int Itcl_Init _ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int Itcl_SafeInit _ANSI_ARGS_((Tcl_Interp *interp));

EXTERN int Itk_Init _ANSI_ARGS_((Tcl_Interp *interp));

#endif /* __MXAPPINIT_H__ */

